Brivio API reference
Spaces

Add a resource of this organization to a space (moves it from another space). Honours Idempotency-Key. (scope: spaces:write)

POST
/spaces/{id}/members

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Space id

Formatuuid

Request Body

application/json
  1. body
kind*string
Value in"website""custom_domain""dns_zone""hosted_site""registered_domain""email_domain""oauth_client""webhook"
resource_id*string

Must belong to this organization (404 otherwise).

Formatuuid

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/spaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/members" \  -H "Content-Type: application/json" \  -d '{    "kind": "website",    "resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f"  }'
{  "data": {    "space_id": "22cc9270-58a2-4d80-a821-13400b6090e1",    "kind": "website",    "resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f"  },  "error": null}